Page MenuHomePhabricator

upgrade 15+4 swift servers from precise to trusty
Closed, ResolvedPublic

Description

the following servers are on precise, and will get dist-upgraded to trusty first in preparation for T117972: swift upgrade plans: jessie and swift 2.x

ms-be1001.eqiad.wmnet: True
ms-be1002.eqiad.wmnet: True
ms-be1003.eqiad.wmnet: True
ms-be1004.eqiad.wmnet: True
ms-be1005.eqiad.wmnet: True
ms-be1006.eqiad.wmnet: True
ms-be1007.eqiad.wmnet: True
ms-be1008.eqiad.wmnet: True
ms-be1009.eqiad.wmnet: True
ms-be1010.eqiad.wmnet: True
ms-be1011.eqiad.wmnet: True
ms-be1012.eqiad.wmnet: True
ms-be1013.eqiad.wmnet: True
ms-be1014.eqiad.wmnet: True
ms-be1015.eqiad.wmnet: True
ms-fe1001.eqiad.wmnet: True
ms-fe1002.eqiad.wmnet: True
ms-fe1003.eqiad.wmnet: True
ms-fe1004.eqiad.wmnet: True

Event Timeline

Dzahn created this task.Jan 28 2016, 12:48 AM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a project: Operations.
Dzahn added subscribers: Krenair, Ricordisamoa, hashar and 4 others.

note these might get upgraded to trusty first, see also related T117972: swift upgrade plans: jessie and swift 2.x

hashar removed a subscriber: hashar.Feb 1 2016, 1:21 PM
fgiunchedi renamed this task from upgrade swift servers from precise to jessie to upgrade 15+4 swift servers from precise to trusty.Feb 24 2016, 4:18 PM
fgiunchedi updated the task description. (Show Details)
fgiunchedi set Security to None.

upgraded ms-fe1004 yesterday but ran into T128081: UnicodeDecodeError invalid continuation byte on ms-fe1004 so I've kept it depooled. ms-be101[345] all upgraded now

I've upgraded ms-be1008 to ms-be1012, will continue tue/wed to complete all ms-be. ms-fe is pending https://gerrit.wikimedia.org/r/#/c/273431/

ms-be1004 to ms-be1008 upgraded

ms-be1001 to ms-be1003 upgraded, ms-fe pending merge of https://gerrit.wikimedia.org/r/#/c/273431/ tomorrow

fgiunchedi closed this task as Resolved.Mar 7 2016, 3:33 PM

finished upgrading all ms-fe hosts today, resolving